audit_log_end
Prev | Chapter 15. Audit Interfaces | Next

## Name

audit_log_end — end one audit record

## Synopsis

`void audit_log_end (` | struct audit_buffer * | ab`)`;

## Arguments

`ab`

  the audit_buffer

## Description

The netlink_* functions cannot be called inside an irq context, so the audit buffer is placed on a queue and a tasklet is scheduled to remove them from the queue outside the irq context. May be called in any context.

Prev | Up | Next
audit_log_format | Home | audit_log